/* .SimplifiedContactForm表单CSS类 */
/* .SimplifiedContactFormButton提交按钮CSS类 */
#HomeForm .kt-modal-container {
    background-color: #ffcdb6;
    border-radius: 10px;
}

#HomeForm .kt-modal-container textarea {
    border-radius: 10px;
}

#HomeForm .kt-modal-container input {
    border-radius: 10px;
}

#HomeForm .kt-modal-container .SimplifiedContactFormButton {
    border-radius: 10px;
    font-size: 16px;
    background-color: #E845BC;
}

#HomeForm .kt-modal-container .SimplifiedContactFormButton:hover {
    background-color: #fff;
    color: #E845BC;
}

#HomeForm .kt-modal-container .wpforms-confirmation-container-full {
    background: none;
    border: none;
    color: #000;
}

/* 设置首页Solution板块鼠标滑动显示隐藏 */
.SolutionSlider .SolutionList p.SolutionListText {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.SolutionSlider .SolutionList:hover p.SolutionListText {
    opacity: 1;
    visibility: visible;
}

.SolutionSlider .SolutionList:hover h3 a {
    color: #fff;
}

/* 设置首页Explore Our Global Projects右侧动画样式 */
.stack-container {
    position: relative;
    max-width: 700px;
    /* 3:2 比例 */
    height: 400px;
    perspective: 1000px;
    overflow: visible;
    /* 保证动画完整显示 */
}

.stack-container .card {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 12px;
    overflow: hidden;
    cursor: grab;
    transition: transform 0.6s cubic-bezier(0.25, 1, 0.5, 1), opacity 0.6s ease;
}

.stack-container .card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

@media screen and (max-width: 768px) {
    .SolutionSlider .SolutionList p.SolutionListText {
        opacity: 1;
        visibility: visible;
    }
}